{% extends "dashboard_pengguna_publik.html" %}
{% load static %}
{% block content %}

<div style="margin-top: 100px;">
    <h1 class="list_title">List Appointment</h1>
    <h2 class="message">{{message}}</h2>
    <div class="table-responsive">
      <table class="table table-hover" style="width:60%; margin-left:20%;">
          <thead>
          <tr class="table-light" style="text-align: center;">
              <th scope="col">NIK Pasien</th>
              <th scope="col">Dokter</th>
              <th scope="col">Faskes</th>
              <th scope="col">Shift</th>
              <th scope="col">Tanggal </th>
              <th scope="col">Rekomendasi</th>
              
              {% if role == "admin_satgas" or role == "dokter" %}
              <th scope="col">Action</th>
              {% endif %}
            </tr>
          </thead>
          <tbody>
              {% for jadwal in cek %}
            <tr class="table-light" style="text-align: center;">
              <th scope="row">{{jadwal.nik_pasien}}</th>
              <th scope="row">{{jadwal.username_dokter}}</th>
              <th scope="row">{{jadwal.kode_faskes}}</th>
              <th scope="row">{{jadwal.praktek_shift}}</th>
              <th scope="row">{{jadwal.praktek_tgl}}</th>
              <th scope="row">{{jadwal.rekomendasi}}</th>
              {% if role == "admin_satgas"  %}
              <th scope="row"><a class="btn btn-danger" href="{% url 'appointment:delete_appointment' jadwal.nik_pasien jadwal.nostr jadwal.username_dokter jadwal.kode_faskes jadwal.praktek_shift jadwal.praktek_tgl %}">Delete</a></th>
              {% endif %}

              {% if role == "dokter" %}
              <th scope="row"><a class="btn btn-danger" href="#">Update</a></th>
              {% endif %}


            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
  </div>
{% endblock %}